Bug 760221 - RFE: Support inspection of cciss devices
RFE: Support inspection of cciss devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
: FutureFeature
Depends On: libguestfs_rebase6.3 760244
Blocks: 695406
  Show dependency treegraph
 
Reported: 2011-12-05 11:33 EST by Matthew Booth
Modified: 2012-06-20 03:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: libguestfs-1.16.2-1.el6
Doc Type: Enhancement
Doc Text:
Cause: CCISS devices have paths (eg. "/dev/cciss/c0d0p1") which libguestfs didn't understand. Consequence: When virt-p2v converted a physical machine that uses CCISS devices to run in a VM, libguestfs inspection would fail because it didn't understand the /etc/fstab file containing these paths. Fix: libguestfs has been updated so that it understands /dev/cciss/* paths appearing in guest /etc/fstab. Result: virt-p2v is now able to successfully convert these guests.
Story Points: ---
Clone Of:
: 760244 (view as bug list)
Environment:
Last Closed: 2012-06-20 03:00:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2011-12-05 11:33:03 EST
We need to support inspection of images which use this common controller type for P2V. The patches are all upstream. The main patches required are:

f1041e912b72116d66274d2f15e50ce34a9531fd
    launch: Store drive information in guestfs_h

a1df33eac2c0a0a4fbb256871e491e28dd11ce90
    inspect: Add drive naming hints

6aa3ece129d04a588ceb161c4b203a20664ddcd8
    inspect: Handle cciss devices in /etc/fstab
Comment 1 Richard W.M. Jones 2011-12-05 11:43:00 EST
Make this bug public.
Comment 2 Richard W.M. Jones 2011-12-06 14:18:22 EST
(In reply to comment #0)
> We need to support inspection of images which use this common controller type
> for P2V. The patches are all upstream. The main patches required are:
> 
> f1041e912b72116d66274d2f15e50ce34a9531fd
>     launch: Store drive information in guestfs_h
> 
> a1df33eac2c0a0a4fbb256871e491e28dd11ce90
>     inspect: Add drive naming hints
> 
> 6aa3ece129d04a588ceb161c4b203a20664ddcd8
>     inspect: Handle cciss devices in /etc/fstab

Unless I'm missing something, these three patches are
already included in libguestfs 1.14.
Comment 4 Daisy Wu 2012-03-31 05:13:20 EDT
Verified this bug on libguestfs-1.16.2-1.el6

Version-Release
libguestfs-1.16.2-1.el6
virt-v2v-0.8.7-4.el6.x86_64
rubygem-virt-p2v-0.8.6-2.el6

Steps:
1. convert CCISS-rhel6.2-x86_64 to rhevm successfully.
2. import CCISS-rhel6.2-x86_64 to rhevm successfully.
3. start the guest on rhevm successfully.
4. check some files on source and target.

For source machine:
# blkid
/dev/cciss/c0d0p1: UUID="70eb2809-91f6-4adc-967d-fabc946a16ab" TYPE="ext4" 
# cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Sat Mar 31 10:35:36 2012
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=70eb2809-91f6-4adc-967d-fabc946a16ab /                       ext4    defaults        1 1
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0

# cat /boot/grub/device.map 
# this device map was generated by anaconda
(hd0)     /dev/cciss/c0d0

For target guest:
# blkid
/dev/vda1: UUID="70eb2809-91f6-4adc-967d-fabc946a16ab" TYPE="ext4" 
 
# cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Sat Mar 31 10:35:36 2012
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=70eb2809-91f6-4adc-967d-fabc946a16ab /                       ext4    defaults        1 1
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0

# cat /boot/grub/device.map 
# this device map was generated by anaconda
(hd0)     /dev/vda

Change the status to VERIFIED
Comment 5 Richard W.M. Jones 2012-04-26 09:27:39 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:
CCISS devices have paths (eg. "/dev/cciss/c0d0p1") which libguestfs didn't understand.

Consequence:
When virt-p2v converted a physical machine that uses CCISS devices to run in a VM, libguestfs inspection would fail because it didn't understand the /etc/fstab file containing these paths.

Fix:
libguestfs has been updated so that it understands /dev/cciss/* paths appearing in guest /etc/fstab.

Result:
virt-p2v is now able to successfully convert these guests.
Comment 7 errata-xmlrpc 2012-06-20 03:00:02 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0774.html

Note You need to log in before you can comment on or make changes to this bug.